import java.net.*;
import java.io.*;

class Server {
    public static void main(String[] args) {
        ServerSocket serverSocket = null;

        try {
            serverSocket = new ServerSocket(8765);
        } catch (IOException e) {
            System.out.println("Could not listen on port: " + 8765 + ", " + e);
            System.exit(1);
        }

        Socket clientSocket = null;
        try {
            clientSocket = serverSocket.accept();
        } catch (IOException e) {
            System.out.println("Accept failed: " + 8765 + ", " + e);
            System.exit(1);
        }

        try {

            // input stream
            DataInputStream is = new DataInputStream(
         new BufferedInputStream(clientSocket.getInputStream()));

            // output stream
            PrintStream os = new PrintStream(
         new BufferedOutputStream(clientSocket.getOutputStream(), 1024), false);


            String inputLine, outputLine;

            while ((inputLine = is.readLine()) != null) {
                System.out.println("Got from the client: " + inputLine);
            }

            os.close();
            is.close();
            clientSocket.close();
            serverSocket.close();

        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}